Skip to main content
GET
List Activity History

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Headers

X-As-User
string | null

Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token

Query Parameters

resource_id
string
required
Required string length: 1 - 2048
q
string | null
Maximum string length: 200
before_revision
integer | null
Required range: 1 <= x <= 2147483647
limit
integer
default:10
Required range: 1 <= x <= 50

Response

Successful Response

resource_id
string
required
checkpoints
CheckpointPreview · object[]
required
next_before_revision
integer | null
required
history_type
string
default:captured_summaries
visibility
string
default:personal